Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMapper2D Class Reference

`#include <vtkMapper2D.h>`

Inheritance diagram for vtkMapper2D:

[legend]
Collaboration diagram for vtkMapper2D:

[legend]
List of all members.

## Detailed Description

Date:
  2002/12/26 18:24:21

Revision:
  1.28

vtkMapper2D is an abstract class which defines the interface for objects which render two dimensional actors (vtkActor2D).

See also:
  vtkActor2D

Created by:
  - Turek, Matt

CVS contributions (if > 5%):
  - Turek, Matt (62%)
  - Martin, Ken (20%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkMapper2D.cxx)`
  - .`h` (`/Common/vtkMapper2D.h)`

Definition at line 48 of file vtkMapper2D.h.

## Public Types
typedef vtkAbstractMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | RenderOverlay (vtkViewport *, vtkActor2D *)
virtual void | RenderOpaqueGeometry (vtkViewport *, vtkActor2D *)
virtual void | RenderTranslucentGeometry (vtkViewport *, vtkActor2D *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMapper2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMapper2D ()
| ~vtkMapper2D ()

## Member Typedef Documentation

typedef vtkAbstractMapper vtkMapper2D::Superclass

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D. Definition at line 51 of file vtkMapper2D.h.

## Constructor & Destructor Documentation

vtkMapper2D::vtkMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkMapper2D.h.

vtkMapper2D::~vtkMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkMapper2D.h.

## Member Function Documentation

virtual const char* vtkMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

int vtkMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual int vtkMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

vtkMapper2D* vtkMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

void vtkMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractMapper. Reimplemented in vtkImageMapper, vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkPolyDataMapper2D, vtkTextMapper, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual void vtkMapper2D::RenderOverlay | ( | vtkViewport * | ,
|  | vtkActor2D * |
| ) | `[inline, virtual]`

| Reimplemented in vtkLabeledDataMapper, vtkMesaFreeTypeTextMapper, vtkMesaPolyDataMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D. Definition at line 54 of file vtkMapper2D.h.

virtual void vtkMapper2D::RenderOpaqueGeometry | ( | vtkViewport * | ,
|  | vtkActor2D * |
| ) | `[inline, virtual]`

| Reimplemented in vtkLabeledDataMapper, and vtkMesaImageMapper. Definition at line 55 of file vtkMapper2D.h.

virtual void vtkMapper2D::RenderTranslucentGeometry | ( | vtkViewport * | ,
|  | vtkActor2D * |
| ) | `[inline, virtual]`

| Definition at line 56 of file vtkMapper2D.h.

The documentation for this class was generated from the following file:

- Common/vtkMapper2D.h